Package org.eclipse.microprofile.rest.client.tck.providers

# Class UnprioritizedMessageBodyReader

java.lang.Object
org.eclipse.microprofile.rest.client.tck.providers.UnprioritizedMessageBodyReader

All Implemented Interfaces:
  `jakarta.ws.rs.ext.MessageBodyReader<String>`

public class UnprioritizedMessageBodyReader extends Object implements jakarta.ws.rs.ext.MessageBodyReader<String>

## Constructor Summary

Constructors
Constructor
Description
`UnprioritizedMessageBodyReader()`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isReadable(Class<?> type, Type genericType, Annotation[] annotations, jakarta.ws.rs.core.MediaType mediaType)`
`String`
`readFrom(Class<String> type, Type genericType, Annotation[] annotations, jakarta.ws.rs.core.MediaType mediaType, jakarta.ws.rs.core.MultivaluedMap<String,String> httpHeaders, InputStream entityStream)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UnprioritizedMessageBodyReader

public UnprioritizedMessageBodyReader()

## Method Details

### isReadable

public boolean isReadable(Class<?> type, Type genericType, Annotation[] annotations, jakarta.ws.rs.core.MediaType mediaType)

Specified by:
  `isReadable` in interface `jakarta.ws.rs.ext.MessageBodyReader<String>`

### readFrom

public String readFrom(Class<String> type, Type genericType, Annotation[] annotations, jakarta.ws.rs.core.MediaType mediaType, jakarta.ws.rs.core.MultivaluedMap<String,String> httpHeaders, InputStream entityStream) throws IOException, jakarta.ws.rs.WebApplicationException

Specified by:
  `readFrom` in interface `jakarta.ws.rs.ext.MessageBodyReader<String>`
Throws:
  `IOException`
  `jakarta.ws.rs.WebApplicationException`